### Function

# Gsk RenderNode deserialize

#### Declaration [src]

    GskRenderNode*
    gsk_render_node_deserialize (
      GBytes* bytes,
      GskParseErrorFunc error_func,
      gpointer user_data
    )

#### Description [src]

Loads data previously created via gsk_render_node_serialize().

For a discussion of the supported format, see that function.

#### Parameters

`bytes` | `GBytes*`
| The bytes containing the data.
| The data is owned by the caller of the function.
`error_func` | `GskParseErrorFunc`
| Callback on parsing errors.
`user_data` | `gpointer`
| User_data for `error_func`.

#### Return value

Returns: | `GskRenderNode`
| A new `GskRenderNode`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.